Add media to folder
curl --request POST \
--url https://api.fanvue.com/v1/vault/folders/{folderName}/media \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Fanvue-API-Version: <x-fanvue-api-version>' \
--data '
{
"mediaUuids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
'import requests
url = "https://api.fanvue.com/v1/vault/folders/{folderName}/media"
payload = { "mediaUuids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"] }
headers = {
"X-Fanvue-API-Version": "<x-fanvue-api-version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-Fanvue-API-Version': '<x-fanvue-api-version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({mediaUuids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a']})
};
fetch('https://api.fanvue.com/v1/vault/folders/{folderName}/media', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"addedCount": 123
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"message": "<string>"
}{
"error": "<string>",
"message": "<string>",
"nextVersion": "<string>"
}{
"error": "<string>"
}Vault
Add media to folder
Add one or more media items to the specified folder. Media items must belong to the authenticated user.
POST
/
v1
/
vault
/
folders
/
{folderName}
/
media
Add media to folder
curl --request POST \
--url https://api.fanvue.com/v1/vault/folders/{folderName}/media \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Fanvue-API-Version: <x-fanvue-api-version>' \
--data '
{
"mediaUuids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
'import requests
url = "https://api.fanvue.com/v1/vault/folders/{folderName}/media"
payload = { "mediaUuids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"] }
headers = {
"X-Fanvue-API-Version": "<x-fanvue-api-version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-Fanvue-API-Version': '<x-fanvue-api-version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({mediaUuids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a']})
};
fetch('https://api.fanvue.com/v1/vault/folders/{folderName}/media', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"addedCount": 123
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"message": "<string>"
}{
"error": "<string>",
"message": "<string>",
"nextVersion": "<string>"
}{
"error": "<string>"
}Required scope
write:media— Upload, modify, and manage media files and content assets. Also required for vault folder management.
Authorizations
OAuth 2.0 access token, presented as a JWT bearer token in the Authorization header. Obtain a token via the authorization-code flow; the scopes granted to the token determine which operations it may call.
Headers
API version to use for the request
Example:
"2025-06-26"
Path Parameters
Folder name (URL-encoded in path)
Required string length:
1 - 255Body
application/json
UUIDs of media items to attach to the folder
Required array length:
1 - 100 elementsResponse
Media added to folder
Number of media items successfully added
Was this page helpful?